summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/ebuild.sh8
-rwxr-xr-xbin/isolated-functions.sh3
2 files changed, 10 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 9cbd748e..43d428ed 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -1444,6 +1444,14 @@ _ebuild_phase_funcs() {
eval "$x() { _eapi0_$x \"\$@\" ; }"
done
+ if ! hasq $eapi 0 1 2 ; then
+ for x in dosed dohard ; do
+ eval "$x() {
+ die \"$x has been banned for EAPI '$eapi'\"
+ }"
+ done
+ fi
+
case $eapi in
0|1)
diff --git a/bin/isolated-functions.sh b/bin/isolated-functions.sh
index ccef19ed..7996268d 100755
--- a/bin/isolated-functions.sh
+++ b/bin/isolated-functions.sh
@@ -498,7 +498,8 @@ save_ebuild_env() {
done
unset x
- unset -f dump_trace die diefunc quiet_mode vecho elog_base eqawarn elog \
+ unset -f die diefunc dosed dohard dump_trace \
+ quiet_mode vecho elog_base eqawarn elog \
esyslog einfo einfon ewarn eerror ebegin _eend eend KV_major \
KV_minor KV_micro KV_to_int get_KV unset_colors set_colors has \
hasg hasgq hasv hasq qa_source qa_call \